
QGIS Application - Bug report #17689

QGIS print composer preview atlas combo box limited to 499 features

2017-12-13 07:36 PM - Jochen Schwarze

Status: Closed

Priority: Normal

Assignee: Paul Blottiere

Category: Map Composer/Printing

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25586

Description

I generate an atlas with a coverage layer with 883 features, but the combo box from which to select the current preview lists only the first

499 features (cp atached screeshots). Nevertheless, the higher numbers are accessible as well. I can select the higher numbers by going

to #499 and clicking Next Feature button or go to the Last Feature and clicking Previous Feature, but then I see only the feature number

without the page name. This behaviour is implemented here: 

https://github.com/qgis/QGIS/blob/release-2_18/src/app/composer/qgscomposer.cpp#L1056

Could this limit be significantly raised, or an option implemeted to set up this limit?

2.18.14 LTR is affected as well as the current master.

Associated revisions

Revision dbd5a86a - 2018-07-20 10:55 AM - Paul Blottiere

Merge pull request #7399 from pblottiere/fix_limit_altas

Remove hardcoded limit (fixes #17689)

History

#1 - 2017-12-14 12:24 PM - Jochen Schwarze

cp. https://gis.stackexchange.com/questions/265206/qgis-print-composer-preview-atlas-combo-box-limited-to-499-features

#2 - 2018-02-27 12:31 PM - Jochen Schwarze

Issue still persists in QGIS 3.0

#3 - 2018-02-27 12:32 PM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Affected QGIS version changed from 2.18.14 to 3.0.0

- Priority changed from High to Normal

#4 - 2018-07-19 01:47 PM - Regis Haubourg

- Pull Request or Patch supplied changed from No to Yes

- Assignee set to Paul Blottiere
PR pending here for master https://github.com/qgis/QGIS/pull/7399

Paul Blottiere is on it.

#5 - 2018-07-20 10:54 AM - Paul Blottiere

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|dbd5a86a7bfedfd281b07917a23cab48ad5e031e.
